import 'package:flutter/foundation.dart';
import 'package:krow/core/data/models/staff_role.dart';

@immutable
sealed class RoleEvent {}

class RoleFetchEvent extends RoleEvent {
  RoleFetchEvent();
}

class RoleSelectEvent extends RoleEvent {
  final StaffRole editedRole;

  RoleSelectEvent(this.editedRole);
}

class RoleSpawnEvent extends RoleEvent {
  RoleSpawnEvent();
}

class RoleDeleteEvent extends RoleEvent {
  final StaffRole role;

  RoleDeleteEvent(this.role);
}

class RoleUpdateEvent extends RoleEvent {
  final StaffRole role;

  RoleUpdateEvent(this.role);
}

class RoleSaveChangesEvent extends RoleEvent {
  final StaffRole role;

  RoleSaveChangesEvent(this.role);
}
